#ifndef LIBKYFILESEC_H
#define LIBKYFILESEC_H

#ifdef __cplusplus
extern "C" {
#endif
/**
 * @brief 设置文件只读属性
 * @param filepath[in] 文件路径
 * @return int 返回0表示成功，返回非零表示失败
 */
extern int kdk_set_file_readonly(const char* filepath);

/**
 * @brief 取消文件只读属性
 * @param filepath[in] 文件路径
 * @return int 返回0表示成功，返回非零表示失败
 */
extern int kdk_cancel_file_readonly(const char* filepath);

#ifdef __cplusplus
}
#endif

#endif//LIBKYFILESEC_H
